package com.ruoyi.warehouseBusiness.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 *
 * @author  caifc
 * @date 2021-10-27 18:21
*/
@Builder
@AllArgsConstructor
public class StorageFeeCalculationResultVO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 费用id
     */
    private Long feeId;

    /**
     * 计费单位
     */
    private Long unit;

    /**
     * 计费数量
     */
    private BigDecimal qty;

    /**
     *  仓储费
     */
    private BigDecimal amt;

    /**
     *  备注  天*钱=金额
     */
    private String remark;

    /**
     *  计费区间  月日-月日 * 钱
     */
    private String billingInterval;

    public Long getFeeId() {
        return feeId;
    }

    public void setFeeId(Long feeId) {
        this.feeId = feeId;
    }

    public Long getUnit() {
        return unit;
    }

    public void setUnit(Long unit) {
        this.unit = unit;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public BigDecimal getAmt() {
        return amt;
    }

    public void setAmt(BigDecimal amt) {
        this.amt = amt;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBillingInterval() {
        return billingInterval;
    }

    public void setBillingInterval(String billingInterval) {
        this.billingInterval = billingInterval;
    }

    @Override
    public String toString() {
        return "StorageFeeCalculationResultVO{" +
                "feeId=" + feeId +
                ", unit=" + unit +
                ", qty=" + qty +
                ", amt=" + amt +
                ", remark='" + remark + '\'' +
                ", billingInterval='" + billingInterval + '\'' +
                '}';
    }
}
